import { Command } from '@oclif/core';
export default abstract class BaseCommand extends Command {
    protected static descriptionGerund?: string;
    protected parsedArgs: any;
    protected parsedFlags: any;
    protected assertPrerequisites(): Promise<void>;
    catch(error: unknown): Promise<void>;
    run(): Promise<void>;
    abstract runImpl(): Promise<void>;
    private parseParams;
}
